Bug 658164 - Review Request: python-asciitable - Extensible ASCII table reader and writer
Review Request: python-asciitable - Extensible ASCII table reader and writer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-29 09:46 EST by Sergio Pascual
Modified: 2011-06-20 06:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-20 06:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2010-11-29 09:46:03 EST
Spec URL: http://sergiopr.fedorapeople.org/python-asciitable.spec
SRPM URL: http://sergiopr.fedorapeople.org/python-asciitable-0.3.2-1.fc14.src.rpm
Description: 
An extensible ASCII table reader.  Asciitable can read a wide range of ASCII 
table formats via built-in Extension Reader Classes:
  * Basic: basic table with customizable delimiters and header configurations
  * Cds: CDS format table (also Vizier and ApJ machine readable tables)
  * CommentedHeader: column names given in a line that begins with 
  the comment character
  * Daophot: table from the IRAF DAOphot package
  * Ipac: IPAC format table
  * NoHeader: basic table with no header where columns are auto-named
  * Rdb: tab-separated values with an extra line after the column 
  definition line
  * Tab: tab-separated values
Comment 2 Fabian Affolter 2011-03-26 09:56:56 EDT
Please check https://fedoraproject.org/wiki/Packaging:Python for details about packages for Python3.
Comment 3 Sergio Pascual 2011-03-30 18:14:59 EDT
A python3 package would require python3-numpy, that doesn't exist AFAIK
Comment 4 Fabian Affolter 2011-04-02 09:21:32 EDT
python3-numpy is available for some months. The latest release is 1.6.0 b1.

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=237065
Comment 5 Sergio Pascual 2011-04-04 18:37:17 EDT
New package

Spec URL: http://sergiopr.fedorapeople.org/python-asciitable.spec
SRPM URL:
http://sergiopr.fedorapeople.org/python-asciitable-0.5.1-1.fc15.src.rpm

It contains a python3 subpackage
Comment 6 Fabian Affolter 2011-05-30 03:29:09 EDT
Please use %global instead of %define [1].

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define
Comment 7 Sergio Pascual 2011-05-30 05:31:57 EDT
New package

Spec URL: http://sergiopr.fedorapeople.org/python-asciitable.spec
SRPM URL:
http://sergiopr.fedorapeople.org/python-asciitable-0.6.0-1.fc15.src.rpm

I have changed %define by %global
Comment 8 Fabian Affolter 2011-06-05 09:15:01 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=3111959
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop021 SRPMS]$ rpmlint python-asciitable-0.6.0-1.fc15.src.rpm 
     python-asciitable.src: W: spelling-error %description -l en_US customizable -> customization
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
     Binary RPM(s):
     [fab@laptop021 noarch]$ rpmlint python-asciitable*
     python-asciitable.noarch: W: spelling-error %description -l en_US customizable -> customization
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
 [x] Package is not relocatable
 [-] Buildroot is correct (if it's still used)
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: 
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: BSD
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 1bc50c8e8204cb6ed016115e8e4cabfa
     Build source:    1bc50c8e8204cb6ed016115e8e4cabfa
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Package use %makeinstall only when make install DESTDIR=... doesn't work.
 [-] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [-] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT (if it's still used)
 [x] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [x] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [x] Spec use %global instead of %define
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [-] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

- There is an index.rst file in the doc directory. Can you please add this file to %doc before the VCS import?

I see no further blocker, package APPROVED
Comment 9 Sergio Pascual 2011-06-05 10:08:24 EDT
New Package SCM Request
=======================
Package Name: python-asciitable
Short Description: Extensible ASCII table reader and writer
Owners: sergiopr
Branches: F-15 F-14 EL-6 EL-5
InitialCC:
Comment 10 Jon Ciesla 2011-06-05 18:16:16 EDT
Git done (by process-git-requests).
Comment 11 Fabian Affolter 2011-06-19 10:31:11 EDT
Sergio, can you please import and build the package?
Comment 12 Sergio Pascual 2011-06-20 06:10:13 EDT
It's already done. Thanks for the remainder

Note You need to log in before you can comment on or make changes to this bug.